//
//  INPhotoVideosController.swift
//  Introduce
//
//  Created by 胡志强 on 2021/11/29.
//

import Foundation
import UIKit
import BFUIKit
import BFMaterialKit
import BFRecordScreenKit
import Photos

class INPhotoVideosController: BFBaseViewController {
    var chosedAsset:PHAsset?
    
    lazy var photoMaterialVc: BFPhotosMaterialController = {
        let vc = BFPhotosMaterialController()
        vc.view.frame = CGRect(x: 0, y: cDevice_iPhoneNavBarAndStatusBarHei, width: cScreenWidth, height: cScreenHeigth - cDevice_iPhoneNavBarAndStatusBarHei - cDevice_iPhoneTabBarHei)
        vc.view.backgroundColor = .black
        vc.selectedMaterialHandle = { [weak self] currentMaterialData, selectedPhotoData, _, _ in
            if currentMaterialData?.isSelected ?? false{
                self?.chosedAsset = currentMaterialData
                if selectedPhotoData.count == 2 {
                    cShowHUB(superView: nil, msg: "临时：最新选择的视频是有效的视频")
                }
            }else{
                self?.chosedAsset = selectedPhotoData.first
            }
            
        }
        return vc
    }()
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        showNavigation()
        photoMaterialVc.hiddenNavigation()

    }
    
    override func viewDidLoad() {
        super.viewDidLoad()

        leftButton(image: nil, imageName: nil, tintColor: .white)
        navHeadImageView?.backgroundColor = .black
        
        addChild(photoMaterialVc)
        view.addSubview(photoMaterialVc.view)
        
        let bottomV = UIView(frame: CGRect(x: 0, y: cScreenHeigth - cDevice_iPhoneTabBarHei, width: cScreenWidth, height: cDevice_iPhoneTabBarHei))
        bottomV.backgroundColor = .black
        view.addSubview(bottomV)
        
        let nextBtn = UIButton(type: .custom)
        nextBtn.frame = CGRect(x: cScreenWidth - 80, y: 10, width: 70, height: 29)
        nextBtn.backgroundColor = UIColor.hexColor(hexadecimal: "#28BE67")
        nextBtn.setTitle("下一步", for: .normal)
        nextBtn.layer.cornerRadius = 4
        nextBtn.addTarget(self, action: #selector(rightBtnClick(sender:)), for: .touchUpInside)
        bottomV.addSubview(nextBtn)
        
    }
    
    override func rightBtnClick(sender _: UIButton) {
        if let asset = self.chosedAsset{
            let vc = INIntrocudeController()
            vc.asset = asset
            navigationController?.pushViewController(vc, animated: true)
        }else{
            cShowHUB(superView: nil, msg: "需要选择一个视频")
        }
    }
}
